package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.Player;

/** 播放器配置 Service */
public interface PlayerService {
    /**
     * 查询播放器配置列表
     *
     * @param player 查询条件
     * @return 播放器配置列表
     */
    public List<Player> selectPlayerList(Player player);

    /**
     * 通过播放器ID查询播放器配置
     *
     * @param plyId 播放器ID
     * @return 播放器配置
     */
    public Player selectPlayerById(String plyId);

    /**
     * 删除播放器配置
     *
     * @param plyIds 播放器ID数组
     * @return 删除行数
     */
    public int deletePlayerByIds(String[] plyIds);

    /**
     * 新增播放器配置
     *
     * @param player 播放器配置
     * @return 插入行数
     */
    public int insertPlayer(Player player);

    /**
     * 修改播放器配置
     *
     * @param player 播放器配置
     * @return 更新行数
     */
    public int updatePlayer(Player player);

    /**
     * 查询所有播放器配置
     *
     * @return 播放器配置列表
     */
    public List<Player> selectAll();
}
